Winsvc.SERVICE_STATUS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winsvc, class: SERVICE_STATUS

Package com.sun.jna.platform.win32

# Class Winsvc.SERVICE_STATUS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winsvc.SERVICE_STATUS

Enclosing interface:
  Winsvc

@FieldOrder({"dwServiceType","dwCurrentState","dwControlsAccepted","dwWin32ExitCode","dwServiceSpecificExitCode","dwCheckPoint","dwWaitHint"}) public static class Winsvc.SERVICE_STATUS extends Structure
Contains status information for a service. The ControlService, EnumDependentServices, EnumServicesStatus, and QueryServiceStatus functions use this structure. A service uses this structure in the SetServiceStatus function to report its current status to the service control manager.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwCheckPoint`
  dwCheckPoint - The check-point value the service increments periodically to report its progress during a lengthy start, stop, pause, or continue operation.
  `int`
  `dwControlsAccepted`
  dwControlsAccepted - The control codes the service accepts and processes in its handler function: SERVICE_ACCEPT_STOP, SERVICE_ACCEPT_PAUSE_CONTINUE, SERVICE_ACCEPT_SHUTDOWN, SERVICE_ACCEPT_PARAMCHANGE, SERVICE_ACCEPT_NETBINDCHANGE, SERVICE_ACCEPT_HARDWAREPROFILECHANGE, SERVICE_ACCEPT_POWEREVENT, SERVICE_ACCEPT_SESSIONCHANGE, SERVICE_ACCEPT_PRESHUTDOWN, SERVICE_ACCEPT_TIMECHANGE, SERVICE_ACCEPT_TRIGGEREVENT
  `int`
  `dwCurrentState`
  dwCurrentState - The current state of the service.
  `int`
  `dwServiceSpecificExitCode`
  dwServiceSpecificExitCode - A service-specific error code that the service returns when an error occurs while the service is starting or stopping.
  `int`
  `dwServiceType`
  dwServiceType - the type of service.
  `int`
  `dwWaitHint`
  dwWaitHint - The estimated time required for a pending start, stop, pause, or continue operation, in milliseconds.
  `int`
  `dwWin32ExitCode`
  dwWin32ExitCode - The error code the service uses to report an error that occurs when it is starting or stopping.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SERVICE_STATUS()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwServiceType

    public int dwServiceType
    dwServiceType - the type of service. This member can be one of the following values: SERVICE_KERNEL_DRIVER, SERVICE_FILE_SYSTEM_DRIVER, SERVICE_WIN32_OWN_PROCESS, SERVICE_WIN32_SHARE_PROCESS, If the service type is either SERVICE_WIN32_OWN_PROCESS or SERVICE_WIN32_SHARE_PROCESS, and the service is running in the context of the LocalSystem account, the following type may also be specified: SERVICE_INTERACTIVE_PROCESS These values can be found in WinNT.h

  - ### dwCurrentState

    public int dwCurrentState
    dwCurrentState - The current state of the service. This member can be one of the following values: SERVICE_STOPPED, SERVICE_START_PENDING, SERVICE_STOP_PENDING, SERVICE_RUNNING, SERVICE_CONTINUE_PENDING, SERVICE_PAUSE_PENDING, SERVICE_PAUSED

  - ### dwControlsAccepted

    public int dwControlsAccepted
    dwControlsAccepted - The control codes the service accepts and processes in its handler function: SERVICE_ACCEPT_STOP, SERVICE_ACCEPT_PAUSE_CONTINUE, SERVICE_ACCEPT_SHUTDOWN, SERVICE_ACCEPT_PARAMCHANGE, SERVICE_ACCEPT_NETBINDCHANGE, SERVICE_ACCEPT_HARDWAREPROFILECHANGE, SERVICE_ACCEPT_POWEREVENT, SERVICE_ACCEPT_SESSIONCHANGE, SERVICE_ACCEPT_PRESHUTDOWN, SERVICE_ACCEPT_TIMECHANGE, SERVICE_ACCEPT_TRIGGEREVENT

  - ### dwWin32ExitCode

    public int dwWin32ExitCode
    dwWin32ExitCode - The error code the service uses to report an error that occurs when it is starting or stopping. To return an error code specific to the service, the service must set this value to ERROR_SERVICE_SPECIFIC_ERROR to indicate that the dwServiceSpecificExitCode member contains the error code. The service should set this value to NO_ERROR when it is running and on normal termination.

  - ### dwServiceSpecificExitCode

    public int dwServiceSpecificExitCode
    dwServiceSpecificExitCode - A service-specific error code that the service returns when an error occurs while the service is starting or stopping. This value is ignored unless the dwWin32ExitCode member is set to ERROR_SERVICE_SPECIFIC_ERROR.

  - ### dwCheckPoint

    public int dwCheckPoint
    dwCheckPoint - The check-point value the service increments periodically to report its progress during a lengthy start, stop, pause, or continue operation.

  - ### dwWaitHint

    public int dwWaitHint
    dwWaitHint - The estimated time required for a pending start, stop, pause, or continue operation, in milliseconds.

- ## Constructor Details

  - ### SERVICE_STATUS

    public SERVICE_STATUS()